Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.support
Class DefaultTargetStateResolver

    java.lang.Object
      org.springframework.webflow.engine.support.DefaultTargetStateResolver

All Implemented Interfaces:
  TargetStateResolver

    public class DefaultTargetStateResolver

extends java.lang.Object
implements TargetStateResolver

A transition target state resolver that evaluates an expression to resolve the target state. The default implementation.

Author:
  Keith Donald

Constructor Summary
`DefaultTargetStateResolver(Expression targetStateIdExpression)` Creates a new target state resolver.
`DefaultTargetStateResolver(java.lang.String targetStateId)` Creates a new target state resolver that always returns the same target state id.

Method Summary
`State` | `resolveTargetState(Transition transition, State sourceState, RequestContext context)` Resolve the target state of the transition from the source state in the current request context.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultTargetStateResolver

    public DefaultTargetStateResolver(java.lang.String targetStateId)

  Creates a new target state resolver that always returns the same target state id.

  Parameters:
    `targetStateId` - a static target target state

### DefaultTargetStateResolver

    public DefaultTargetStateResolver(Expression targetStateIdExpression)

  Creates a new target state resolver.

  Parameters:
    `targetStateIdExpression` - the target state expression

Method Detail

### resolveTargetState

    public State resolveTargetState(Transition transition,
                                    State sourceState,
                                    RequestContext context)

  Description copied from interface: `TargetStateResolver`
  Resolve the target state of the transition from the source state in the current request context. Should never return null.

  Specified by:
    `resolveTargetState` in interface `TargetStateResolver`
  Parameters:
    `transition` - the transition
    `sourceState` - the source state of the transition, could be null
    `context` - the current request context
  Returns:
    the transition's target state - may be null if no state change should occur

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD